/*
2009 - http://blog.spitzenpfeil.org
*/

#define __led 4
#define __button 8 // no external pull-up resistor on the board !
#define PRESSED LOW
#include <Wire.h>

void setup()
{
  Wire.begin(); // join i2c bus (address optional for master)
  pinMode(__led,OUTPUT);
  pinMode(__button,INPUT);
  digitalWrite(__button,HIGH); // turn on internal pull-up. reads as LOW when pressed
}

void loop()
{
  Wire.beginTransmission(0x16); // transmit to device 0x16
  if( digitalRead(__button) == PRESSED ) {
    digitalWrite(__led,HIGH); // turn on local LED
    Wire.send(0x01);             // turn on remote LED
  }
  else {
    digitalWrite(__led,LOW); // turn off local LED
    Wire.send(0x00);            // turn off remote LED
  }
  Wire.endTransmission();    // stop transmitting
}
